View Issue Details

IDProjectCategoryView StatusLast Update
0002795CentOS-5-OTHERpublic2008-06-16 08:45
Reporterartagesw 
PrioritynormalSeveritymajorReproducibilityN/A
Status closedResolutionfixed 
Product Version5.1 
Target VersionFixed in Version 
Summary0002795: Please Update DRBD Package in CentOS Extras
DescriptionThe current stable version of the DRBD package and kernel module is 8.0.12. The Extras repository currently has version 8.0.11 of the 8.0.x branch.
TagsNo tags attached.

Activities

range

range

2008-04-21 10:23

administrator   ~0007157

There was an announcement for 8.0.12rc3 (RELEASE CANDIDATE!) today. You cannot possibly mean that with "stable".
artagesw

artagesw

2008-04-21 21:07

reporter   ~0007163

My apologies for jumping the gun. You are quite correct. I somehow misread the announcement on 04/08 and thought it was the "final" 8.0.12 release. Thanks for setting me right.
artagesw

artagesw

2008-04-24 17:37

reporter   ~0007172

OK, the final release of 8.0.12 was announced today. The reason this release is critical is that it contains fixes related to the dopd daemon, without which the high availability provided by the combination of drbd + heartbeat is completely broken. We require this release for our production systems. Thanks.
JohnnyHughes

JohnnyHughes

2008-04-25 10:17

administrator   ~0007178

Actually, the Extras version of CentOS has moved to the drbd82-8.2.x series. The current version is drbd82-8.2.5

The 8.0.x series has been upgraded to 8.2.x as recommended by the drbd team, see this message list thread on the DRBD list:

http://news.gmane.org/find-root.php?group=gmane.linux.network.drbd&article=14090
JohnnyHughes

JohnnyHughes

2008-04-25 10:22

administrator   ~0007179

The upgrade from 8.0.x to drbd82-8.2.x should be able to be done without any changes to your drbd at all, just install the appropriate kernel module and upgrade drbd to drbd82
artagesw

artagesw

2008-04-25 19:17

reporter   ~0007180

We cannot update our production systems to the 8.2 branch. The 8.2 branch is far less stable, as it receives all new feature development. The 8.0 branch receives mostly bug fixes and security fixes. This is the official DRBD version release policy. We run an enterprise OS based on RHEL and we cannot risk destabilizing our deployment with a DRBD branch that is constantly adding new features.

Please consider supporting new releases to both branches, or move the 8.2 branch out of Extras to a more experimental repository (CentOSplus?). In my opinion, the 8.2 branch should not be in Extras as it is in active feature development. If the 8.0 branch were irrelevant, then the DRBD folks would not still be maintaining it.
artagesw

artagesw

2008-04-28 19:41

reporter   ~0007197

So, is 8.0.12 going to be supported? Or do we need to roll our own? As I said, I think it is vital that the more stable 8.0.x branch be supported in Extras, for the reasons stated in my previous note.

Also, in the thread you referenced, the DRBD team never recommended replacing 8.0.x with 8.2.x. They simply requested that 8.2.x be added as an option as well.

Thanks.
artagesw

artagesw

2008-05-08 03:35

reporter   ~0007235

Respond please?
JohnnyHughes

JohnnyHughes

2008-05-22 13:56

administrator   ~0007303

no ... 8.2.5 is supported and the upgrade from 8.0.x to 8.2.x is automatic.

That was the recommendation from the drbd developers, and we are taking their advice.
artagesw

artagesw

2008-05-23 17:17

reporter   ~0007327

I would like to formally request to appeal this decision. If we wanted to run a bleeding edge OS, we would run Fedora + DRBD 8.2. CentOS is an **enterprise distro** and should not be replacing stable production packages with bleeding edge versions of those packages. Enterprise distros are about backporting fixes and maintaining stability. That is what DRBD 8.0.x is about as well. This change has pulled the rug out from under us and we are now in the unfortunate position of needing to build packages and kernel modules on our own, which completely eliminates the package management advantage that CentOS is supposed to provide. Please see this page for a description of the different DRBD branches:

http://www.drbd.org/releases.html

This comes from the DRBD developers themselves, and it clearly shows that the 8.0.x branch is the one that is in keeping with an enterprise distro release philosophy.
jamundso

jamundso

2008-05-25 02:06

reporter   ~0007331

Wouldn't "exclude=drbd82" in /etc/yum.conf suffice?
artagesw

artagesw

2008-05-25 02:12

reporter   ~0007332

I do have "exclude=drbd82" in my yum.conf. That prevents me from updating to 8.2, which is good. But it doesn't get me further updates to the 8.0 branch (8.0.12 and beyond) if the repository stays stuck at 8.0.11. There are two active DRBD branches, the 8.0.x branch and the 8.2.x branch. It would be nice if both branches were actively maintained in CentOS.
jamundso

jamundso

2008-05-25 02:50

reporter   ~0007333

Ah, yes. I concur. For an "enterprise"-class system, drbd82 as the only option does not fit.
Johnny, please back out 8.2, admit you're wrong, and move on. :-)
Seriously, though, from the 8.2.5 ChangeLog:
  24 8.2.5 (api:86/proto:86-88)
  25 --------
  26 * Fixed a race between online-verify and application writes.
  27 It caused drbd to report false positives, and very likely
  28 deadlocked immediately afterwards.
  29 * When DRBD is build for kernels older than 2.6.16 mutexes are
  30 provided by a wrapper include file which is shipped with DRBD.
  31 We had a bug in there that caused one of DRBD's threads to
  32 lockup after the first connection loss. Fixed.
  33 * Merged all changes from 8.0.8 -> 8.0.11 into 8.2
Come on, that is *not* the kind of stuff I should see in a stable package.
range

range

2008-05-25 09:07

administrator   ~0007334

The Changelog for 8.0.x does not look any better.
jamundso

jamundso

2008-05-27 01:46

reporter   ~0007355

touché.
I'm altogether reconsidering my bias towards this matter. First, my production nodes, though simply configured with no hardware problems, have been solid on drbd82 for several weeks. Also, service drbd status shows 8.0.11 deep down anyway...
version: 8.0.11 (api:86/proto:86)
Maybe it would help if the Assigned To person could document for us "the recommendation from the drbd developers".
JohnnyHughes

JohnnyHughes

2008-06-02 16:56

administrator   ~0007371

ok ... I have decided to maintain BOTH versions of DRBD for centos-5.

This is double the work, however it MAY prevent whining in the future.

Hopefully people will appreciate the DOUBLE WORK ... if so:

http://www.centos.org/donate

Thanks,
Johnny Hughes
artagesw

artagesw

2008-06-02 17:41

reporter   ~0007372

This is great news. Thank you! (And I for one will gladly donate to support continued development.)
jamundso

jamundso

2008-06-03 21:53

reporter   ~0007376

So, with drbd82 installed, drbd is pulled in as a requirement? This looks odd, and a bit scary...
[root@stpxen2 ~]# rpm -qa kernel\* \*drbd\*
kmod-drbd-xen-8.0.11-1.2.6.18_53.1.13.el5
kernel-xen-2.6.18-53.1.14.el5
kernel-xen-2.6.18-53.1.21.el5
kernel-xen-2.6.18-53.1.13.el5
kmod-drbd-xen-8.0.11-1.2.6.18_53.1.14.el5
drbd82-8.2.5-1.el5.centos
kernel-xen-2.6.18-53.1.19.el5
[root@stpxen2 ~]# echo n | yum update
Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
extras 100% |=========================| 1.1 kB 00:00
updates 100% |=========================| 951 B 00:00
base 100% |=========================| 1.1 kB 00:00
addons 100% |=========================| 951 B 00:00
Reading repository metadata in from local files
Excluding Packages in global exclude list
Finished
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package drbd82.x86_64 0:8.2.6-1.el5.centos set to be updated
---> Package kmod-drbd-xen.x86_64 0:8.0.12-1.2.6.18_53.1.21.el5 set to be installed
--> Running transaction check
--> Processing Dependency: drbd >= 8.0.12 for package: kmod-drbd-xen
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package drbd.x86_64 0:8.0.12-1.el5.centos set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package Arch Version Repository Size
=============================================================================
Installing:
 kmod-drbd-xen x86_64 8.0.12-1.2.6.18_53.1.21.el5 extras 780 k
Updating:
 drbd82 x86_64 8.2.6-1.el5.centos extras 217 k
Installing for dependencies:
 drbd x86_64 8.0.12-1.el5.centos extras 203 k

Transaction Summary
=============================================================================
Install 2 Package(s)
Update 1 Package(s)
Remove 0 Package(s)

Total download size: 1.2 M
Is this ok [y/N]: Exiting on user Command
Complete!
[root@stpxen2 ~]#
range

range

2008-06-16 08:45

administrator   ~0007406

Both versions are built now.

Issue History

Date Modified Username Field Change
2008-04-17 17:45 artagesw New Issue
2008-04-21 10:23 range Note Added: 0007157
2008-04-21 21:07 artagesw Note Added: 0007163
2008-04-24 17:37 artagesw Note Added: 0007172
2008-04-25 10:17 JohnnyHughes Note Added: 0007178
2008-04-25 10:22 JohnnyHughes Note Added: 0007179
2008-04-25 19:17 artagesw Note Added: 0007180
2008-04-28 19:41 artagesw Note Added: 0007197
2008-05-08 03:35 artagesw Note Added: 0007235
2008-05-22 13:56 JohnnyHughes Note Added: 0007303
2008-05-23 17:17 artagesw Note Added: 0007327
2008-05-25 02:06 jamundso Note Added: 0007331
2008-05-25 02:12 artagesw Note Added: 0007332
2008-05-25 02:50 jamundso Note Added: 0007333
2008-05-25 09:07 range Note Added: 0007334
2008-05-27 01:46 jamundso Note Added: 0007355
2008-06-02 16:56 JohnnyHughes Note Added: 0007371
2008-06-02 17:41 artagesw Note Added: 0007372
2008-06-03 21:53 jamundso Note Added: 0007376
2008-06-16 08:45 range Status new => closed
2008-06-16 08:45 range Note Added: 0007406
2008-06-16 08:45 range Resolution open => fixed